package net.w_horse.excelpojo.annotation;

import java.lang.annotation.Documented;
import java.lang.annotation.ElementType;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;

import net.w_horse.excelpojo.xml.tag.RetrieveFrom;
import net.w_horse.excelpojo.xml.tag.Use;


@Target(ElementType.FIELD)
@Retention(RetentionPolicy.RUNTIME)
@Documented
public @interface LabeledCell {
	String label();
	RetrieveFrom retrieveFrom() default RetrieveFrom.BOTTOM;
	Use use() default Use.NONE;
	boolean margedRows() default false;
	int margedLabel() default 0;
	String range() default "";
}
